| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwGRD.cpp File Reference

Functions for reading and writing GRD files. More...

`#include "rwGRD.h"`
`#include "file_util.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
int | readGRD (Bimage *p, int readdata)
| Reading a Basel GRD map image file format. More...
int | writeGRD (Bimage *p)
| Writing a Basel GRD map image file format. More...

## Variables
int | verbose

## Detailed Description

Functions for reading and writing GRD files.

Author
  Bernard Heymann

Date
  Created: 19990410
  Modified: 20121005

Definition in file rwGRD.cpp.

## Function Documentation

## ◆ readGRD()

int readGRD | ( | Bimage * | p,
|  | int | readdata
| ) |  |

Reading a Basel GRD map image file format.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.

Returns
  int error code (<0 means failure). A 3D image format used in electron microscopy. Header size: 512 bytes (fixed). File format extensions: .grd The identifier is a 4-byte magic number (not used). Machine identifier: 1 = little endian, 2 = big endian. Byte order determination: Data type and third dimension values must be less than 256*256. Data types: 1 = byte, 2 = float, 3 = complex float 4 = 3-value vector, 5 = view

Definition at line 31 of file rwGRD.cpp.

## ◆ writeGRD()

int writeGRD | ( | Bimage * | p | ) |

Writing a Basel GRD map image file format.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure). A 3D image format used in electron microscopy.

Definition at line 125 of file rwGRD.cpp.

## Variable Documentation

## ◆ verbose

int verbose